@import 'global';

.line {
   position: absolute;
   transform-origin: top left;
   height: 2px;
   background: #d9dfeb;
   top: 7px;
   left: 8px;
}
.low-risk{
	color: orange;
}
.critical{
	color: $red-pink;
}
.green{
  color: #2bb673;
}
.high{
  color: $red-pink;
}
.low{
  color: $red-pink;
}
.abnormal{
  color: $red-pink;
}

.bg-normal{
	background: green;
	color: #fff;
}
.bg-high{
	background: $red-pink;
	color: #fff;
}
.bg-low{
	background: $red-pink;
	color: #fff;
}
.no-scrolling{
	overflow: hidden !important;
}
// 
.marker-series{
	font-size: 10px;
	color: #fff;
	padding:0;
	margin:0;
	text-align: center;
	position: relative;
	  top: 45%;
	  -webkit-transform: translateY(-45%);
	  -ms-transform: translateY(-45%);
	  transform: translateY(-45%);
}
.bio-chart-container{
    		.data-graph-container{
	    		width: 100%;
	    		position: absolute;
	    		height: 240px;
	    		background: transparent;
	    		top: 0;
	    		.series{
	    			float:left;
	    			width: 18px;
	    			height: 240px;
	    			
	    			.high_series{
	    				width:	18px;
	    				height: 65px;
	    				background: $red-pink;
	    				padding-top:40%;
	    				p{
	    					@extend .marker-series;
	    				}
	    			}
	    			.normal_series{
	    				width:	18px;
	    				height: 65px;
	    				background: $seaweed;	
	    				p{
	    					@extend .marker-series;
	    				}
	    			}
	    			.low_series{
	    				width:	18px;
	    				height: 65px;
	    				background: $red-pink;
	    				p{
	    					@extend .marker-series;
	    				}
	    			}
	    			.low_series_greater{
	    				width:	18px;
	    				height: 45px;
	    				background: $red-pink;
	    				p{
	    					@extend .marker-series;
	    				}
	    			}
	    			.normal_series_greater{
	    				width:	18px;
	    				height: 150px;
	    				background: $seaweed;
	    				p{
	    					@extend .marker-series;
	    				}
	    			}
	    			.low_series_less,{
	    				width:	18px;
	    				height: 98px;
	    				background: $red-pink;
	    				p{
	    					@extend .marker-series;
	    				}
	    			}
	    			.normal_series_less,{
	    				width:	18px;
	    				height: 98px;
	    				background: $seaweed;
	    				p{
	    					@extend .marker-series;
	    				}
	    			}
	    			.high_series_less,.high_series_greater{
	    				width:	18px;
	    				height: 98px;
	    				background: $red-pink;
	    				p{
	    					@extend .marker-series;
	    				}
	    			}
	    		}
	    		.argument_width_controller{
	    			width: calc( 100% - 18px);
	    			height: 240px;
	    			overflow-x: auto;
	    			overflow-y: hidden;
	    			.argument_column_spacer{
		    			width:18px;
		    			height: 240px;
		    			float: left;
		    		}
		    		.argument_column{
		    			
		    			height: 240px;
		    			float: left;
		    			.col_val_cal{
		    				// border-right: 1px solid #ccc;
		    				position: relative;

		    				.spline_path{
		    					width: 16px;
		    					height: 100%;
		    					margin: auto;
		    					.node{
		    						position: absolute;
		    						height: 16px;
		    						width: 16px;
		    						cursor: pointer;
		    						.node_paint{
		    							height: 16px;
		    							width: 16px;
		    							position: absolute;
		    							z-index: 999;
		    							border-radius: 50%;
		    							border:2px solid #fff;
		    						}
		    						.node_paint.normal{
			    						background: $seaweed;
			    					}
			    					.node_paint.low{
			    						background: $red-pink;
			    					}
			    					.node_paint.high{
			    						background: $red-pink;
			    					}
			    					.node_paint.abnormal{
			    						background: $red-pink;
			    					}
		    						.node_label{
		    							position: absolute;
		    							top: -13px;
		    							background: #fff;
		    							font-size: 10px;
		    							color: $warm-grey;
		    							z-index:100;
		    						}
		    					}
		    					
		    					.vertical-line{
		    						background: $red-pink;
		    						width: 3px;
		    						margin: auto;
		    						height: 100%;
		    						display: block;
		    					}
		    				}
		    				// .spline_path:hover .vertical-line{
	    					// 	display: block;
	    					// }
		    			}
		    			.col_val_label{
		    				height: 45px;
		    				width: inherit;
		    				vertical-align: middle;
		    				padding:10px 0 0 0;
		    				.label{
		    					font-family: Muli;
								font-size: 10px;
								font-weight: bold;
								text-align: center;
								color: $warm-grey;
								margin:0;
								padding:0;
		    				}
		    			}
		    		}
	    		}
				.argument_width_controller::-webkit-scrollbar{
					height: 6px;
				}
				.argument_width_controller::-webkit-scrollbar-thumb{
					border-radius: 3px;
					  background-color: #dddddd;
					border: solid 1px #dddddd;
		
				}
	    	}
    		height: 195px;
    		width: 100%;
    		margin-top: 30px;
    		position: relative;
    		
    		.high_chart_less,.high_chart_greater{
    			height: 98px;
    			width: 100%;
    		}
    		.normal_chart_less{
    			height: 98px;
    			width: 100%;
    			border-top: 1px dashed $seaweed;
    		}
    		.normal_chart_greater{
    			height: 150px;
    			width: 100%;
    			border-bottom: 1px dashed $seaweed;
    		}
    		.low_chart_greater{
    			height: 46px;
    			width: 100%;
    		}
    		.low_chart_less{
    			height: 98px;
    			width: 100%;
    		}
    		.high_chart{
    			height: 65px;
    			width: 100%;
    		}
    		.normal_chart{
    			width: 100%;
    			height: 65px;
    			border-top: 1px dashed $seaweed;
    			border-bottom: 1px dashed $seaweed;
    		}
    		.low_chart{
    			height: 65px;
    			width: 100%;
    		}
    	}
.popup-legend-wrapper{
    		margin-top: 12px;
    		height: 20px;
    		width: 100%;
    		overflow: hidden;
    		ul.legend-item{
    			list-style:none;
    			margin:0;
    			padding:0;

    			li{
    				display: inline-block;
    				overflow: auto;
    				margin-right: 10px;
    				.legend-icon-indicator.normal{
    					background: $seaweed;
    				}
    				.legend-icon-indicator.low{
    					background: $red-pink;
    				}
    				.legend-icon-indicator.abnormal{
    					background: $red-pink;
    				}
    				.legend-icon-indicator{
    					text-align: center;
    					float: left;
    					color: #fff;
    					p{
    						padding: 3px 5px 0 5px;
    						font-family: Muli;
							font-size: 10px;
							font-weight: bold;
							color: #ffffff;
    					}
    				}
    				.legend-description{
    					float: left;
    					overflow: auto;
    					
    					.label_range{
    						font-family: Muli;
							font-size: 11px;
							font-weight: bold;
							line-height: 1.67;
							letter-spacing: normal;
							color: $dark-grey-blue;
    						span{
    							font-family: Muli;
    							font-size: 10px;
								font-weight: bold;
								text-align: left;
								color: $warm-grey;
								margin: 0 2px;
    						}
    					}
    				}
    				

    			}
    		}
    	}
@keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Firefox < 16 */
@-moz-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Safari, Chrome and Opera > 12.1 */
@-webkit-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Internet Explorer */
@-ms-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}

/* Opera < 12.1 */
@-o-keyframes fadein {
    from { opacity: 0; }
    to   { opacity: 1; }
}
.biomark-graph-container{
	position: relative;
	min-height: 600px;
	// height: 940px;
	overflow-y: overlay;
	// overflow-x: auto;
	// overflow-y: hidden;

	width:100%;

	.biomark-graph-absolute-size{
		position: absolute;
		width: 100%;
		background: transparent;
		height: auto;
		float: left;
		border-bottom: solid 1px #d9dfeb;
		.item-header{
			height: 60px;
			width: 150px;
			text-align: center;
			display: table-cell;
			vertical-align: middle;
			background: #fff;
			border-right: 1px solid rgba(217, 223, 235, 0.5);
			border-bottom:  1px solid rgba(217, 223, 235, 0.5);
			p{
				// padding: 10px 0 0 0;
				padding: 10px 0 0 0;
				font-family: Muli;
				font-size: 12px;
				font-weight: bold;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.17;
				letter-spacing: normal;
				color: $bluey-grey;
			}
		}
		.item-header-dynamic.latest{
			// background: $dark-grey-blue;	
			// color: #fff;
			color: #273859;
		}
		.item-header-dynamic{
			height: 60px;
			width: 100px;
			background: #fff;
			border-right: solid 1px rgba(164, 170, 183, 0.1);
			color: $bluey-grey;
			p{
				padding: 11px 0 0 0;
				margin-bottom: 0;
				font-family: Muli;
				font-size: 12px;
				font-weight: bold;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.17;
				letter-spacing: normal;
				color: inherit;
			}
		}
		.biomark-col-static{
			width: 150px;
			float: left;
			// min-height: 400px;
			background: #fff;
			border-right: 1px solid rgba(217, 223, 235, 0.5);
			.item-row-infinite.active{
				background: $light-blue-grey;
				border-right: 1px solid #eee;
			}
			.item-row-infinite{
				height: 59px;
				width: 150px;
				border-bottom: 1px solid rgba(217, 223, 235, 0.5);
				padding: 10px 20px 0;

				p.bio-marker-label{
					font-family: Muli;
					font-size: 12px;
					font-weight: bold;
					font-style: normal;
					font-stretch: normal;
					line-height: 1.67;
					letter-spacing: normal;
					float: left;
					color: $dark-grey-blue;
					margin:0;
				}
				p.bio-marker-icon{
					float: right;
					margin:0;
				}
				p.bio-marker-description{
					font-family: Muli;
					font-size: 10px;
					font-weight: normal;
					font-style: normal;
					font-stretch: normal;
					line-height: 2;
					letter-spacing: normal;
					color: $bluey-grey;
					margin:0;
				}
			}
		}
		.item-col-wrapper{
			position: absolute;
			right:0;
			top: 0;
			float: left;
			height: 100%;
			width: calc(100% - 150px );
			min-height: auto;
			overflow-x: overlay;
			overflow-y: hidden;
			.infinite-col-wrapper{
				// width: 700px;
				// min-height: 400px;
			border-bottom:  1px solid rgba(217, 223, 235, 0.5);
			overflow-x: auto;
			overflow-y: hidden;
				.item-col-infinite{
					width: 100px;
					height: auto;
					background: #f2f3f5;
					float: left;
					border-right: solid 1px rgba(164, 170, 183, 0.1);

					.item-row-infinite-dynamic{
						height: 59px;
						width: 100px;
						border-bottom: 1px solid rgba(164, 170, 183, 0.1);
						.result_cell.active{
							background: $light-blue-grey;
						}
						.result_cell{
							width: inherit;
							height: inherit;
							background: #fff;
							border-bottom: 1px solid rgba(164, 170, 183, 0.3);
							border-right: solid 1px rgba(164, 170, 183, 0.3);
							overflow: auto;
							.bio_val{
								padding:5px;
								width: 60px;
  								height: 27px;
  								border-radius: 13.5px;
  								background-color: #f6f6f6;
  								margin: 15px 0 0 20px;
  								box-sizing: border-box;
  								font-family: Muli;
								  font-size: 12px;
								  font-weight: bold;
								  font-style: normal;
								  font-stretch: normal;
								  line-height: 1.67;
								  letter-spacing: normal;
								  text-align: center;
								  color: $dark-grey-blue;

							}
						}
					}
					
				}

			}
			.empty_results{
				padding-top: 100px;
				top: 0;
				position: absolute;
				z-index: 10;	
				width: 100%;
				margin:auto;
				background: transparent;
				min-height: 300px;
			}

		}
		.cluster-col-wrapper{
			position: relative;
			// right:0;
			// top:0;
			// float: left;
			height: auto;
			width: calc(100% - 150px );
			overflow-x: overlay;
			// overflow-y: auto;
			.infinite-col-wrapper{
				width: 700px;
				overflow-x: auto;
				overflow-y: hidden;
				.item-col-infinite{
					width: 100px;
					height: auto;
					background: #f2f3f5;
					float: left;
					border-right: solid 1px rgba(164, 170, 183, 0.1);
				
					.item-row-infinite-dynamic{
						height: 59px;
						width: 100px;
						border-bottom: 1px solid rgba(164, 170, 183, 0.1);
						.result_cell.active{
							background: $light-blue-grey;
						}
						.result_cell{
							width: inherit;
							height: inherit;
							background: #fff;
							border-bottom: 1px solid rgba(164, 170, 183, 0.3);
							border-right: solid 1px rgba(164, 170, 183, 0.3);
							overflow: auto;
							.bio_val{
								padding:5px;
								width: 60px;
  								height: 27px;
  								border-radius: 13.5px;
  								background-color: #f6f6f6;
  								margin: 15px 0 0 20px;
  								box-sizing: border-box;
  								font-family: Muli;
								  font-size: 12px;
								  font-weight: bold;
								  font-style: normal;
								  font-stretch: normal;
								  line-height: 1.67;
								  letter-spacing: normal;
								  text-align: center;
								  color: $dark-grey-blue;

							}
						}
					}
				}
			}
		}
		::-webkit-scrollbar {
			width: 7px;
			height: 10px;
			overflow-x: visible;
			-webkit-border-radius: 10px;
		}
		::-webkit-scrollbar-thumb{
			border-radius: 3px;
			background-color: #dddddd;
			border: solid 1px #dddddd;
		}
		.biomark-row-infinite{
			width: 100px;
			height: 400px;
			background: $light-blue-grey;
			float: left;
			border: 1px solid red;
		}
		.item-col-wrapper::-webkit-scrollbar{
			height: 0px;
			background: transparent;
		}
	}
}

.biomark-graph-container::-webkit-scrollbar {
	width: 7px;
	height: 10px;
	overflow-x: visible;
	-webkit-border-radius: 10px;
}
.biomark-graph-container::-webkit-scrollbar-thumb{
	border-radius: 3px;
	background-color: #dddddd;
	border: solid 1px #dddddd;
}

.biomark-table-container{
	position: relative;
	// height: 940px;
	overflow: hidden;
	// overflow-x: auto;
	// overflow-y: hidden;

	width:100%;

	.biomark-graph-absolute-size{
		position: absolute;
		width: 100%;
		background: transparent;
		height: 90px;
		float: left;
		.item-header{
			height: 34px;
			width: 150px;
			background: #fff;
			border-bottom: 1px solid rgba(164, 170, 183, 0.5);
			p{
				padding: 10px 0 0 0;
				font-family: Muli;
				font-size: 12px;
				font-weight: bold;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.17;
				letter-spacing: normal;
				color: $bluey-grey;
			}
		}
		.item-header-dynamic.latest{
			background: $dark-grey-blue;
			color: #fff;
		}
		.item-header-dynamic{
			height: 60px;
			width: 100px;
			background: #fff;
			border-bottom: 1px solid rgba(164, 170, 183, 0.5);
			color: $bluey-grey;
			p{
				padding: 10px 0 0 0;
				font-family: Muli;
				font-size: 12px;
				font-weight: bold;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.17;
				letter-spacing: normal;
				color: inherit;
				margin-bottom: 0;
				
			}
		}
		.biomark-col-static{
			width: 150px;
			background: #fff;
			float: left;
			height: auto;
			border-right: 1px solid rgba(217, 223, 235, 0.5);
			.item-row-infinite.active{
				background: $light-blue-grey;
				border-right: 1px solid #eee;
			}
			.item-row-infinite{
				height: 70px;
				width: 150px;
				border-bottom: 1px solid rgba(217, 223, 235, 0.5);
				padding: 10px 20px 0;

				p.bio-marker-label{
					font-family: Muli;
					font-size: 12px;
					font-weight: bold;
					font-style: normal;
					font-stretch: normal;
					line-height: 1.67;
					letter-spacing: normal;
					float: left;
					color: $dark-grey-blue;
					margin:0;
				}
				p.bio-marker-icon{
					float: right;
					margin:0;
				}
				p.bio-marker-description{
					font-family: Muli;
					font-size: 10px;
					font-weight: normal;
					font-style: normal;
					font-stretch: normal;
					line-height: 2;
					letter-spacing: normal;
					color: $bluey-grey;
					margin:0;
				}
			}
		}
		.item-col-wrapper{
			position: absolute;
			right:0;
			top:0;
			float: left;
			height: 102px;
			width: calc(100% - 150px );
			overflow-x: auto;
			overflow-y: hidden;
			direction: rtl;
			
			&::-webkit-scrollbar-thumb{
				border-radius: 3px;
				background-color: #dddddd;
				border: solid 1px #dddddd;
				// height: 6px !important;
			}
			
			.infinite-col-wrapper{
				width: 700px;
				overflow: hidden;
				.item-col-infinite{
					width: 100px;
					height: auto;
					background: #f2f3f5;
					float: left;
					border-right: solid 1px rgba(164, 170, 183, 0.1);
				
					.item-row-infinite-dynamic{
						height: 68px;
						width: 100px;
						border-bottom: 1px solid rgba(164, 170, 183, 0.1);
						.result_cell.active{
							background: $light-blue-grey;
						}
						.result_cell{
							width: inherit;
							height: inherit;
							background: #fff;
							border-bottom: 1px solid rgba(164, 170, 183, 0.3);
							border-right: solid 1px rgba(164, 170, 183, 0.3);
							overflow: auto;
							position: relative;
							.l-div-er{
								height: 100%;
								width: 1px;
							}
							.bio_val{
								padding:5px;
								width: 60px;
  								height: 27px;
  								border-radius: 13.5px;
  								background-color: #f6f6f6;
  								box-sizing: border-box;
  								font-family: Muli;
								  font-size: 12px;
								  font-weight: bold;
								  font-style: normal;
								  font-stretch: normal;
								  line-height: 1.67;
								  letter-spacing: normal;
								  text-align: center;
								  color: $dark-grey-blue;

							}
						}
					}
				}
			}

			.empty_results{
				padding-top: 100px;
				top: 0;
				position: absolute;
				z-index: 10;	
				width: 100%;
				margin:auto;
				background: transparent;
				min-height: 300px;
			}

		}
		
		.biomark-row-infinite{
			width: 100px;
			height: 400px;
			background: $light-blue-grey;
			float: left;
			border: 1px solid red;
		}

		
	}
	
	
}

.status-container{
	width: 50px;
	height: auto;
	margin: 0 auto;
	margin-top: 3px;
	padding: 5px;
	border-radius: 4px;
	background-color: #d9dfeb;
	.status-container-text {
		padding: 0 !important;
		font-family: Muli;
		font-size: 10px;
		font-weight: bold;
		font-style: normal;
		font-stretch: normal;
		line-height: normal;
		letter-spacing: normal;
		text-align: center;
		color: #ffffff !important;
	}
}
.status-container.latest{
	background-color: #273859;
}
.accordion-container{
	position:absolute;
	width:100%;
	.accordion{
		cursor: pointer;
		height: auto;
		background-color: #ffffff;
		.accordion-header{
			padding: 13px 20px;
			height: 40px;
			border-bottom: solid 1px rgba(217, 223, 235, 0.5);
			.active{
				color:#273859;
			}
			p{
				float: left;
				padding: 0;
				font-family: Muli;
				font-size: 12px;
				font-weight: bold;
				font-style: normal;
				font-stretch: normal;
				line-height: 1.17;
				letter-spacing: normal;
				color: #8493ae;	
				margin-bottom: 0;
			}
			.chevron{
				margin-top: -5px;
				float: right;
			}
		}
	}
}
.accordion-container::-webkit-scrollbar {
	// width: 7px;
	height: 5px;
	-webkit-border-radius: 10px;
}
.accordion-container::-webkit-scrollbar-thumb{
	border-radius: 3px;
	background-color: #dddddd;
	border: solid 1px #dddddd;

}
